Bug 38322

Summary: HttpListenerRequest.IsLocal isn't good enough
Product: [Mono] Class Libraries Reporter: Marek Habersack <grendel>
Component: SystemAssignee: marcos.henrich
Status: RESOLVED FIXED    
Severity: normal CC: marcos.henrich, mono-bugs+mono
Priority: ---    
Version: master   
Target Milestone: Untriaged   
Hardware: All   
OS: All   
Tags: Is this bug a regression?: ---
Last known good build:

Description Marek Habersack 2016-02-02 18:25:25 UTC
All HttpListenerRequest.IsLocal does now is to check whether the remote endpoint IP address is the loopback device (https://github.com/mono/mono/blob/master/mcs/class/System/System.Net/HttpListenerRequest.cs#L406), which is not the documented behavior of the property (https://msdn.microsoft.com/en-us/library/system.net.httplistenerrequest.islocal%28v=vs.110%29.aspx). The property should determine whether the remote endpoint IP address is assigned to one of the network interfaces on the machine instead.
Comment 1 marcos.henrich 2016-02-22 15:51:58 UTC
Hi Marek,

Thanks for the bug report.

This issue should be fixed by the pull request below.
https://github.com/mono/mono/pull/2663
Comment 2 marcos.henrich 2016-04-04 10:28:16 UTC
Fixed in master c7683d0cbd7c18becca400390a28714a0f84f9a1
https://github.com/mono/mono/commit/c7683d0cbd7c18becca400390a28714a0f84f9a1